				
/********************************************************************************************************

                                    Script to parse RSS XML data files

                                        Written by Mark Wilton-Jones



Please see http://www.howtocreate.co.uk/jslibs/ for details and a demo of this script

Please see http://www.howtocreate.co.uk/tutorials/jsexamples/importingXML.html for a demo and description

Please see http://www.howtocreate.co.uk/jslibs/termsOfUse.html for terms of use

********************************************************************************************************/

function clicked (section)
    {
        if (widget)
        {
            widget.openURL(section);
        }
    }

function parseRSS(oDocObj) {



	//check if the browser interpreted the XML correctly

	if( oDocObj.documentElement && oDocObj.documentElement.tagName && oDocObj.documentElement.tagName.toUpperCase() == 'HTML' ) {

		setTimeout('alert(\'For no apparent reason, your browser has turned the RSS feed into HTML based garbage.\\nScript aborted.\');',50); return; }

	var chanEl = oDocObj.getElementsByTagName('channel')[0];

	if( !chanEl ) { alert('Format was not recognised as a valid RSS feed'); return; }

	var RSSversion = oDocObj.getElementsByTagName('rssSpoof')[0] ? oDocObj.getElementsByTagName('rssSpoof')[0].getAttribute('version') : '';



	//get the information about the feed

	for( var x = 0, y, feedInfo = []; y = chanEl.childNodes[x]; x++ ) {

		if( y.tagName && y.tagName != 'item' ) {

			if( y.tagName == 'image' ) {

				feedInfo['image'] = [];

				for( var i = 0, j; j = y.childNodes[i]; i++ ) {

					if( j.tagName ) {

						feedInfo['image'][j.tagName] = j.firstChild ? j.firstChild.nodeValue : '';

						if( RSSversion.match(/0?.91/) ) { feedInfo['image'][j.tagName] = feedInfo['image'][j.tagName].replace(/&/g,'&amp;').replace(/"/g,'&quot;').replace(/</g,'&lt;').replace(/>/g,'&gt;'); }

					}

				}

			} else {

				feedInfo[y.tagName] = y.firstChild ? y.firstChild.nodeValue : '';

				if( RSSversion.match(/0?.91/) ) { feedInfo[y.tagName] = feedInfo[y.tagName].replace(/&/g,'&amp;').replace(/"/g,'&quot;').replace(/</g,'&lt;').replace(/>/g,'&gt;'); }

			}

		}

	}



	if( !feedInfo['lastBuildDate'] ) { feedInfo['lastBuildDate'] = feedInfo['pubDate']; }



	//parse each news item

	for( var x = 0, y = oDocObj.getElementsByTagName('item'), newsItems = []; y[x]; x++ ) {

		newsItems[x] = [];

		for( var i = 0, j; j = y[x].childNodes[i]; i++ ) {

			if( j.tagName ) {

				newsItems[x][j.tagName] = j.firstChild ? j.firstChild.nodeValue : '';

				if( RSSversion.match(/0?.91/) ) { newsItems[x][j.tagName] = newsItems[x][j.tagName].replace(/&/g,'&amp;').replace(/"/g,'&quot;').replace(/</g,'&lt;').replace(/>/g,'&gt;'); }

			}

		}

	}



	//now that the entire feed has been converted into JavaScript arrays, it is time to write it out

	//document.title = feedInfo['title'] ? ( 'RSS feed: ' + feedInfo['title'] ) : 'Untitled newsfeed';



//headers

	var oFeedStr = '<div class="rssarea">'+

		'<\/div><div align="left" class="newsitems">\n';



	for( var x = 0, y; y = newsItems[x]; x++ ) {
		if(x==1 || x==3 || x==5 || x==7 || x==9 || x==11 || x==13 || x==15) {
		    styleChange1 = "<font color='666666'>";
			
	    } else {
		    styleChange1 = "<font color='003399'>";
			
	    }
styleChange2 = "</font>";
		oFeedStr += '<div align="left" class="feeditem"><h3><a href="#" onClick="clicked(\''+newsItems[x]['link']+'\');">'+(newsItems[x]['title']?styleChange1+newsItems[x]['title']+styleChange2:'Untitled')+'<\/a><\/h3>'+'<\/div>\n';

	}



	//footer

	oFeedStr += '</div>'+

		//(feedInfo['copyright']?('<div class="footers"><p><b>Copyright:<\/b> '+feedInfo['copyright']+'<\/p><\/div>'):'')+

		'</div>\n';



	//output

	document.getElementById('feedcontainer').innerHTML = oFeedStr;

	RSSParsed();

}

